[botan-devel] Using botan under VC ++ 6

Jack Lloyd lloyd at randombit.net
Mon Jun 27 08:49:47 EDT 2011


On Mon, Jun 27, 2011 at 11:23:31AM +0200, oli.l at neuf.fr wrote:
> Hi,
> 
> I've succeed in compiling the botan library under VC 2010 environment.
> But I'm developping under VC++ 6, is it possible to use the botan library under VC ++ 6 ?

No, Visual C++ 6 does not support C++98 well enough to compile
botan, or at least this was the case the last time anyone
attempted it. VC 2003 and 2005 worked fine, though it also has
not been tested anytime recently (at least to my knowledge). 2008
and 2010 both work well.

You might be able to compile the library using a more recent
compiler and call it from a VC6 compiled application.

-Jack



More information about the botan-devel mailing list